Bug 179479 - gnome-session-properties hangs when I click delete
gnome-session-properties hangs when I click delete
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
: 179480 (view as bug list)
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-01-31 13:34 EST by Dave Jones
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 17:25:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-01-31 13:34:43 EST
summary says it all.
I had krb5-auth-dialog in my startup, when I clicked delete, the session manager
hung

stracing it did this..

unlink("/etc/xdg/autostart/krb5-auth-dialog.desktop") = -1 EACCES (Permission
denied)
unlink("/etc/xdg/autostart/krb5-auth-dialog.desktop") = -1 EACCES (Permission
denied)
unlink("/etc/xdg/autostart/krb5-auth-dialog.desktop") = -1 EACCES (Permission
denied)
unlink("/etc/xdg/autostart/krb5-auth-dialog.desktop") = -1 EACCES (Permission
denied)
unlink("/etc/xdg/autostart/krb5-auth-dialog.desktop") = -1 EACCES (Permission
denied)

over and over.
the file is owned by root, and the session is run by the user. Doh.
Comment 1 Matthias Clasen 2006-02-04 00:26:29 EST
*** Bug 179480 has been marked as a duplicate of this bug. ***
Comment 2 Matthias Clasen 2006-02-15 23:10:49 EST
Doesn't happen for me. Do you still see this, Dave ?
Comment 3 Dave Jones 2006-02-16 00:34:45 EST
yep. on a fresh install from yesterday.
Comment 4 Miles Lane 2006-02-17 01:34:51 EST
This happens for me as well when I try to delete an entry under "additional
startup programs."

Not sure if this helps.  I ran gnome-session-properties under gdb, triggered the
lockup and then hit CTRL-C to break into the debugger and get a stack trace.

#0  0x00689402 in __kernel_vsyscall ()
#1  0x001bbc02 in unlink () from /lib/libc.so.6
#2  0x00153f2a in remove () from /lib/libc.so.6
#3  0x0804fb0d in ?? ()
#4  0x0804ed8c in ?? ()
#5  0x0804f15c in ?? ()
#6  0x0804e479 in ?? ()
#7  0x03df07b9 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#8  0x03de2f9d in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#9  0x03df51c5 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#10 0x03df6623 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#11 0x03df68c9 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#12 0x040f4323 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
#13 0x040f5bee in gtk_button_set_alignment () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x03df07b9 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#15 0x03de17d9 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#16 0x03de2f9d in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#17 0x03df564a in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#18 0x03df6623 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#19 0x03df68c9 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#20 0x040f43b3 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x040f4411 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x041c163e in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib/libgtk-x11-2.0.so.0
#23 0x03de17d9 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#24 0x03de2f9d in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#25 0x03df5803 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#26 0x03df64d6 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#27 0x03df68c9 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#28 0x042ac208 in gtk_widget_get_default_style ()
   from /usr/lib/libgtk-x11-2.0.so.0
#29 0x041bb053 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#30 0x041bc2a7 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#31 0x040128aa in gdk_add_client_message_filter ()
   from /usr/lib/libgdk-x11-2.0.so.0
#32 0x03d6b11d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#33 0x03d6e3af in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#34 0x03d6e759 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#35 0x041bc724 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#36 0x0804e3bc in ?? ()
#37 0x001167a4 in __libc_start_main () from /lib/libc.so.6
---Type <return> to continue, or q <return> to quit---
#38 0x0804ca81 in ?? ()
Comment 5 Miles Lane 2006-02-17 01:37:23 EST
Hmm.  I also see this:
** (gnome-session-properties:6229): WARNING **: Could not save
/etc/xdg/autostart/gnome-power-manager.desktop file
Comment 6 Miles Lane 2006-02-17 01:39:50 EST
[miles@hogwarts ~]$ ls /etc/xdg/autostart/ -l
total 16
-rw-r--r-- 1 root root 2019 Feb 13 04:31 gnome-power-manager.desktop
-rw-r--r-- 1 root root  335 Feb 13 14:00 nm-applet.desktop

Sorry to generate all these messages to you in rapid succession.
Comment 7 Ray Strode [halfline] 2006-02-17 11:31:05 EST
so gnome-session needs to create a "shadow" desktop file with Hidden=true in the
case that the desktop file being deleted isn't user-writable.
Comment 8 Michal Jaegermann 2006-02-23 21:56:40 EST
Well, no.  I run into the same problem (gnome-session-2.13.91-1) and it
tries to remove a file which is definitely writable; in my ~/.config/autostart/.
It appears that it does not notice that already removed it and tries over
and over generating ENOENT in a tight loop.
Comment 9 Richard Hughes 2006-02-25 19:36:24 EST
Me too -- deleting beagled causes a 100% cpu hang, modifying causes a segfault.
I can provide ssh access for debugging if required.
Latest rawhide on ppc32.
Comment 10 Ray Strode [halfline] 2006-03-06 17:25:42 EST
should be fixed in tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.